<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<h:panelGrid columns="1" border="1" columnClasses="BlueTitleBar" 
rendered="#{transactionDetailForm.renderErrorTable}" 
cellpadding="0" cellspacing="0" styleClass="dataGridTable" >
<h:outputText rendered="#{transactionDetailForm.renderErrorTable}"  value="Error message received from PayPal server"/> 

<t:dataTable id="data" value="#{transactionDetailForm.error}" 
    rendered="#{transactionDetailForm.renderErrorTable}" 
    var="list" border="1" cellpadding="2" cellspacing="2" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Error Code"/>
        </f:facet>
        <h:outputText id="errorCode"
           value="#{list.errorCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Severity Code"/>
        </f:facet>
        <h:outputText id="severityCode"
           value="#{list.severityCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Short Message"/>
        </f:facet>
        <h:outputText id="shortMessage"
           value="#{list.shortMessage}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Long Message"/>
        </f:facet>
        <h:outputText id="longMessage"
           value="#{list.longMessage}"/>
    </t:column>
</t:dataTable>
</h:panelGrid>