<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<%@ page import="com.soapknox.paypal.webapp.user.LoginForm" %>

<html>
<head>
<link rel="stylesheet" type="text/css" href="../common.css">

<f:view>

<f:verbatim>
<meta http-equiv="refresh" content="</f:verbatim>
<h:outputText value="#{transactionMonitorForm.refreshTime}"/>
<f:verbatim>"></head>
   
<BODY bgcolor="#000000">

</f:verbatim>

<h:panelGrid id="column1" width="100%" align="top" columns="3" 
border="0" cellpadding="0" cellspacing="0" 
columnClasses="tableLogoHeaderdark,tableLogoHeaderdarkAlignRight, tableLogoHeaderdarkAlignRight">
<h:graphicImage id="logo"
   alt="SoapKnox"
   url="../../images/logowhite.jpg">
</h:graphicImage>
<h:outputText id="streamerText1" style="tableLogoHeaderdarkAlignRight" value="PAYPAL"/>
<h:outputText id="streamerText2" style="tableLogoHeaderdarkAlignRight" value="STREAMER"/>
</h:panelGrid>

<h:outputText rendered="#{transactionMonitorForm.renderTable == false}" value="No new transactions found since last check."/>

<t:dataTable id="data" value="#{transactionMonitorForm.dataModel}" 
    rendered="#{transactionMonitorForm.renderTable}" 
    var="list" border="0" cellpadding="0" cellspacing="0" width="100%"
    styleClass="dataGridTable" 
    headerClass="tableHeaderdark" 
    columnClasses="cellPlainTextWhite, cellPlainTextWhite, cellPlainTextWhite, cellPlainTextWhite, cellPlainTextWhite, cellPlainTextWhite, cellPlainTextWhiteAlignRight, cellPlainTextRedAlignRight, cellPlainTextGreenAlignRight"
    rowClasses="tableHeaderdark1, tableHeaderdark2">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Timestamp"/>
        </f:facet>
        <h:outputText id="timestamp"
           value="#{list.timestamp.time}">
           <f:convertDateTime pattern="dd-MMM-yyyy hh:mm a" />
        </h:outputText>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Transaction Id"/>
        </f:facet>
        <h:outputText id="transactionId"
           value="#{list.transactionID}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Transaction Type"/>
        </f:facet>
        <h:outputText id="transactionType"
           value="#{list.type}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Payer Email"/>
        </f:facet>
        <h:outputText id="payerEmail"
           value="#{list.payer}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Payer Name"/>
        </f:facet>
        <h:outputText id="payerDisplayName"
           value="#{list.payerDisplayName}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Status"/>
        </f:facet>
        <h:outputText id="status"
           value="#{list.status}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Gross Amt"/>
        </f:facet>
        <h:outputText id="grossAmount"
           value="#{list.grossAmount}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Fee Amt"/>
        </f:facet>
        <h:outputText id="feeAmount"
           value="#{list.feeAmount}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Net Amt"/>
        </f:facet>
        <h:outputText id="netAmount"
           value="#{list.netAmount}"/>
    </t:column>
</t:dataTable>

</f:view>

</BODY>

</HTML>