<%@ page import="java.util.Date"%>
<%@ page session="false" contentType="text/html;charset=utf-8"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<jsp:include page="/jsp/jspUtils/header.jsp" flush="true"/>

<f:view>
  
<h:form id="form1">

<h:outputText styleClass="cellBoldText" value="Refung Transaction"/>
<f:verbatim><br></f:verbatim>
<center>

<h:panelGrid id="refundGrid1" columns="8" 
columnClasses="cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText">

<h:outputText value="Transaction ID: "/> 
<h:inputText styleClass="blueTextField" id="transactionId" value="#{refundTransactionForm.transactionId}" maxlength="50" size="25" required="true" ></h:inputText>
     
<h:outputText value="Amount: "/>
<h:inputText styleClass="blueTextField" id="amount" value="#{refundTransactionForm.amount}" maxlength="20" size="20" required="false" ></h:inputText>
<h:outputText value="Currency Code: "/>
<h:selectOneMenu styleClass="blueTextField" id="currencyCode" value="#{refundTransactionForm.currencyCode}">
        <f:selectItems value="#{refundTransactionForm.currencyCodes}" />
</h:selectOneMenu>
<h:outputText value="Refund Type: "/>
<h:selectOneMenu styleClass="blueTextField" id="refundType" value="#{refundTransactionForm.refundType}">
        <f:selectItems value="#{refundTransactionForm.refundTypes}" />
</h:selectOneMenu>

</h:panelGrid>

<h:panelGrid id="refundGrid2" columns="2" 
columnClasses="cellPlainText, cellPlainText">

<h:outputText value=""/> 
<h:inputHidden id="hiddenAmount" value="#{refundTransactionForm.hiddenAmount}"/>

<h:outputText value="Memo: "/> 
<h:inputText styleClass="blueTextField" id="memo" value="#{refundTransactionForm.memo}" maxlength="150" size="100" required="false" ></h:inputText>

</h:panelGrid>
     
     
<h:panelGrid id="refundGrid3" columns="8">
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:commandButton styleClass="skButton" id="refundTransaction" value="Refund Transaction" action="#{refundTransactionForm.refundTransaction}"></h:commandButton>

</h:panelGrid>

<h:message id="transactionIdError" for="form1:transactionId" styleClass="error" />
</h:form>

<h:message id="messageError" for="messageError" styleClass="error" />

</f:view>



</center>

<jsp:include page="/jsp/jspUtils/footer.jsp" flush="true"/>

</body>
</html>

