<%@ page language="java" %>


<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>

<%@ page import="com.soapknox.common.utils.*" %>

<%@ page errorPage="/error/genericError.jsp" %>

<%@ taglib uri="/WEB-INF/error.tld" prefix="skError" %>

<%
   ResourceReader app = new ResourceReader();
   app.readFile("/prog.properties");
   String webApplicationPath = app.getProperty("webApplicationPath");

%>

<link href="../common.css" rel="stylesheet" type="text/css">


<FORM name="tstest" action="/<%=webApplicationPath%>/transactions/refundTransactionSubmit.jsp" method="get" onSubmit="return validateForm();">

<skError:error format="1" className="error"/>

<CENTER>
  <TABLE width="100%" BORDER="0" CELLPADDING="0" CELLSPACING="0" class="dataGridTable">
    <TR> 
      <TD>&nbsp;</TD>
      <TD></TD>
    </TR>
    <TR>
      <TD nowrap class="cellPlainText">Transaction ID: &nbsp;
           <% if(request.getParameter("transactionId") == null) { %>
           	<input type="Text" name="transactionId" class="blueTextField" size="20">
           <% } else { %>
           	<input type="Text" name="transactionId" class="blueTextField" size="20" value="<%= request.getParameter("transactionId")%>">
           <% } %>
      </TD>
      <TD>&nbsp;</TD>
      <TD nowrap align="right" class="cellPlainText">Refund Type: &nbsp;
           <SELECT NAME="refundType" class="blueTextField">
              <OPTION value="Full">Full</OPTION>
              <OPTION value="Partial">Partial</OPTION>
           </SELECT>
      </TD>
      <TD>&nbsp;</TD>
      <TD nowrap align="right" class="cellPlainText">Amount:&nbsp;
	<% if(request.getParameter("amount") == null) { %>
           <input type="Text" name="amount" class="blueTextField" size="6">
         <% } else { %>
         	<input type="Text" name="amount" class="blueTextField" size="20" value="<%= request.getParameter("amount")%>">
         <% } %>
      </TD>
      <TD nowrap align="right" class="cellPlainText">Currency Code: &nbsp;
           <jsp:include page="/jspUtils/currencyCode.jsp" flush="true"/>
      </TD>
    </TR>
    <TR>
      <TD>&nbsp;</TD>
    </TR>
    <TR>
      <TD nowrap class="cellPlainText" colspan=12>Memo: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
           <% if(request.getParameter("memo") == null) { %>
           	<input type="Text" name="memo" class="blueTextField" size="100"> 
           <% } else { %>
           	<input type="Text" name="memo" class="blueTextField" size="60" value="<%= request.getParameter("memo")%>">
           <% } %>
      </TD>
    <TR>
      <TD>&nbsp;</TD>
    </TR>
    <TR> 
      <TD align=right colspan=12><button class="skButton" value=hist type=submit>Submit</button></TD>
      <TD>&nbsp;</TD>
    </TR>
    <TR>
      <TD>&nbsp;</TD>
    </TR>
  </TABLE>
</CENTER>
 <input type="hidden" name="selectedCurrencyCodeIndex" value="0">
 <input type="hidden" name="selectedRefundTypeIndex" value="0">
</FORM>
<script>
	function setSelection()
	{
		<% if(request.getParameter("currencyCode") != null) { %>
			document.tstest.currencyCode[<%=request.getParameter("selectedCurrencyCodeIndex")%>].selected = true;
		<% } %>

		<% if(request.getParameter("refundType") != null) { %>
			document.tstest.refundType[<%=request.getParameter("selectedRefundTypeIndex")%>].selected = true;
		<% } %>

	}
</script>
<script>
	setSelection();
</script>
